petsc-3.12.4 2020-02-04
Report Typos and Errors

# VecScatter

Object used to manage communication of data between vectors in parallel. Manages both scatters and gathers

### Synopsis

    typedef struct _p_VecScatter*  VecScatter;

### See Also

VecScatterCreate(), VecScatterBegin(), VecScatterEnd()

### Level

beginner

### Location

src/vec/vscat/../../../include/petscvec.h

### Examples

src/tao/pde_constrained/examples/tutorials/elliptic.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html

### Implementations

_p_VecScatter in include/petsc/private/vecscatterimpl.h
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages